be.fgov.ehealth.rn.commons.business.v1

## Class InformationNotifiedType

- java.lang.Object
- - be.fgov.ehealth.rn.commons.business.v1.InformationNotifiedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:35:17+02:00",
                 comments="JAXB RI v2.2.11")
      public class InformationNotifiedType
      extends Object
      implements Serializable

  Deprecated type. Use SenderReceiverType in new batch XSDs. Information block for partner info when CBSS notifies partner

  Java class for InformationNotifiedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InformationNotifiedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ticket" type="{urn:be:fgov:ehealth:rn:commons:business:v1}TicketType" minOccurs="0"/>
               <element name="TimestampReply" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="NotifiedIdentification" type="{urn:be:fgov:ehealth:rn:commons:business:v1}OrganizationIdentificationType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformationNotifiedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrganizationIdentificationType` | `getNotifiedIdentification()` Gets the value of the notifiedIdentification property.
    `String` | `getTicket()` Gets the value of the ticket property.
    `org.joda.time.DateTime` | `getTimestampReply()` Gets the value of the timestampReply property.
    `void` | `setNotifiedIdentification(OrganizationIdentificationType value)` Sets the value of the notifiedIdentification property.
    `void` | `setTicket(String value)` Sets the value of the ticket property.
    `void` | `setTimestampReply(org.joda.time.DateTime value)` Sets the value of the timestampReply property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InformationNotifiedType

          public InformationNotifiedType()

  - ### Method Detail

    - #### getTicket

          public String getTicket()

      Gets the value of the ticket property.
      Returns:
        possible object is `String`

    - #### setTicket

          public void setTicket(String value)

      Sets the value of the ticket property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestampReply

          public org.joda.time.DateTime getTimestampReply()

      Gets the value of the timestampReply property.
      Returns:
        possible object is `String`

    - #### setTimestampReply

          public void setTimestampReply(org.joda.time.DateTime value)

      Sets the value of the timestampReply property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotifiedIdentification

          public OrganizationIdentificationType getNotifiedIdentification()

      Gets the value of the notifiedIdentification property.
      Returns:
        possible object is `OrganizationIdentificationType`

    - #### setNotifiedIdentification

          public void setNotifiedIdentification(OrganizationIdentificationType value)

      Sets the value of the notifiedIdentification property.
      Parameters:
        `value` - allowed object is `OrganizationIdentificationType`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.